import { createRouter, createWebHashHistory } from 'vue-router'

const routes = [
    {
        path: '/resident',
        name: 'resident',
        component: () => import(/* webpackChunkName: "page-resident" */ '@/resident/Resident.vue'),
        children: [
            {
                path: 'screening/first/form',
                name: 'resident-screening-first-form',
                component: () => import(/* webpackChunkName: "page-resident" */ '@/resident/screening/first/form/Index.vue')
            }
        ]
    },
]

const router = createRouter({
  history: createWebHashHistory(),
  routes
})

export default router
